commit: 976533254cfbfd7d68036e0cf9ca17e137b540b6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 09:45:28 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep 28 13:15:25 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97653325
media-libs/mesa: Add llvm_check_deps() to enable slot matching
media-libs/mesa/mesa-9999.ebuild | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/media-libs/mesa/mesa-9999.ebuild b/media-libs/mesa/mesa-9999.ebuild
index 61bcd2822db..667956a123f 100644
--- a/media-libs/mesa/mesa-9999.ebuild
+++ b/media-libs/mesa/mesa-9999.ebuild
@@ -231,6 +231,19 @@ x86? (
)
)"
+llvm_check_deps() {
+ local flags=${MULTILIB_USEDEP}
+ if use video_cards_r600 || use video_cards_radeon || use
video_cards_radeonsi
+ then
+ flags+=",llvm_targets_AMDGPU(-)"
+ fi
+
+ if use opencl; then
+ has_version "sys-devel/clang[${flags}]" || return 1
+ fi
+ has_version "sys-devel/llvm[${flags}]"
+}
+
pkg_setup() {
# warning message for bug 459306
if use llvm && has_version sys-devel/llvm[!debug=]; then